Bug 500916 - first message of totem stream thrown away - 5.3z stream regression
first message of totem stream thrown away - 5.3z stream regression
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais (Show other bugs)
5.3
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Steven Dake
Cluster QE
: ZStream
Depends On: 497419
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 16:40 EDT by Benjamin Kahn
Modified: 2016-04-26 11:21 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-16 08:58:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin Kahn 2009-05-14 16:40:18 EDT
This bug has been copied from bug #497419 and has been proposed
to be backported to 5.3 z-stream (EUS).
Comment 4 Nate Straz 2009-06-12 15:02:04 EDT
I'm trying out the test case in bz 497419 where you run cpgbench on all nodes, then kill one.  It doesn't seem to be working as expected.  cpgbench on one node is not receiving any more messages and the killed node is not being let back into the cluster.  There is this message in the logs:

Jun 12 13:54:24 z5 openais[3413]: [EVT  ] Evt config msg from nodeid r(0) ip(10.15.89.15) , but not in membership change
Comment 5 Nate Straz 2009-06-12 16:04:15 EDT
I ran the test case again without cman and hit the same message from EVT.  When trying to restart cpgbench on the rejoined node I got the message:

[root@z5 tmp]# ./cpgbench
cpg_join failed with result 6

Which Ryan tells me is TRY_AGAIN which is the error in the original bug report.

Moving this back to ASSIGNED.
Comment 6 Steven Dake 2009-06-12 20:39:03 EDT
the bug you see is not a regression and has been in the source tree for some time apparently.  Please file a new bugzilla.  I'll work with you on irc to see if we can come up with some way to verify this bugzilla you are qeing problem is resolved.

Regards
-steve
Comment 7 Nate Straz 2009-06-15 12:54:19 EDT
After further testing and discussions with the developer it was determined that the behavior seen is a different bug, filed as bz 506119, which is not a regression.  It was also determined that this bug could not be verified without instrumenting the code.
Comment 9 errata-xmlrpc 2009-06-16 08:58:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1104.html

Note You need to log in before you can comment on or make changes to this bug.